"""Add is_jobs_enabled option

Revision ID: 29579044e36c
Revises: 946211522c2f
Create Date: 2018-06-11 13:53:19.920827

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.ext.declarative import declarative_base
from sqlalchemy.orm import sessionmaker

Session = sessionmaker()

Base = declarative_base()


class PullMirror(Base):
    __tablename__ = 'pull_mirror'

    id = sa.Column(sa.Integer, primary_key=True)
    is_jobs_enabled = sa.Column(sa.Boolean())


# revision identifiers, used by Alembic.
revision = '29579044e36c'
down_revision = '946211522c2f'
branch_labels = None
depends_on = None


def upgrade():
    bind = op.get_bind()
    session = Session(bind=bind)

    op.add_column('pull_mirror', sa.Column('is_jobs_enabled', sa.Boolean(), nullable=True))

    # Set is_jobs_enabled to true
    for pull_mirror in session.query(PullMirror):
        pull_mirror.is_jobs_enabled = True
        session.add(pull_mirror)
    session.commit()

    op.alter_column('pull_mirror', 'is_jobs_enabled', nullable=False)


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('pull_mirror', 'is_jobs_enabled')
    # ### end Alembic commands ###
